import { LoggerT, hookFnT, configHooksT, deprecatedHookT, deprecatedHooksT } from './types';
export default class Hookable {
    private _hooks;
    private _deprecatedHooks;
    private _logger;
    constructor(logger?: LoggerT | false);
    hook(name: string, fn: hookFnT): hookFnT;
    removeHook(name: string, fn: hookFnT): void;
    deprecateHook(name: string, deprecated: deprecatedHookT): void;
    deprecateHooks(deprecatedHooks: deprecatedHooksT): void;
    addHooks(configHooks: configHooksT): () => void;
    removeHooks(configHooks: configHooksT): void;
    callHook(name: string, ...args: any): Promise<void>;
}
