export declare type unregHookT = () => void;
export declare type hookFnT = (...args: any) => Promise<void> | void;
export declare type configHooksT = {
    [name: string]: configHooksT | hookFnT;
};
export declare type deprecatedHookT = string | {
    message: string;
    to: string;
};
export declare type deprecatedHooksT = {
    [name: string]: deprecatedHookT;
};
export declare type flatHooksT = {
    [name: string]: hookFnT;
};
export interface LoggerT {
    error(...args: any): void;
    fatal?(...args: any): void;
    warn(...args: any): void;
}
